* [gentoo-commits] repo/gentoo:master commit in: games-board/xmahjongg/
@ 2016-07-29 17:55 99% Austin English
0 siblings, 0 replies; 1+ results
From: Austin English @ 2016-07-29 17:55 UTC (permalink / raw
To: gentoo-commits
commit: 5d234dd26ba360a840e5f0a1adab777329ca8eac
Author: Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 29 17:55:07 2016 +0000
Commit: Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Fri Jul 29 17:55:07 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d234dd2
games-board/xmahjongg: remove deprecated games eclass
Also update to EAPI 6
Gentoo-Bug: https://bugs.gentoo.org/574082
Package-Manager: portage-2.3.0
games-board/xmahjongg/xmahjongg-3.7-r1.ebuild | 32 +++++++++++++++++++++++++++
1 file changed, 32 insertions(+)
diff --git a/games-board/xmahjongg/xmahjongg-3.7-r1.ebuild b/games-board/xmahjongg/xmahjongg-3.7-r1.ebuild
new file mode 100644
index 0000000..0bde359
--- /dev/null
+++ b/games-board/xmahjongg/xmahjongg-3.7-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils
+
+DESCRIPTION="friendly GUI version of xmahjongg"
+HOMEPAGE="http://www.lcdf.org/xmahjongg/"
+SRC_URI="http://www.lcdf.org/xmahjongg/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~ppc ~x86 ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE=""
+
+RDEPEND="x11-libs/libX11"
+DEPEND="${RDEPEND}
+ x11-libs/libXt"
+
+src_prepare() {
+ default
+ sed -i \
+ -e '/X_PRE_LIBS/s:-lSM -lICE::' \
+ configure || die
+}
+
+src_install() {
+ default
+ newicon share/tiles/small.gif ${PN}.gif
+ make_desktop_entry xmahjongg "Xmahjongg" /usr/share/pixmaps/${PN}.gif
+}
^ permalink raw reply related [relevance 99%]
Results 1-1 of 1 | reverse | options above
-- pct% links below jump to the message on this page, permalinks otherwise --
2016-07-29 17:55 99% [gentoo-commits] repo/gentoo:master commit in: games-board/xmahjongg/ Austin English
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox